> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Obter um participante



## OpenAPI

````yaml pt/openapi/v3-current/siloc.yaml get /api/v1/siloc/participants/{participantId}
openapi: 3.1.0
info:
  description: >-
    Interface OpenAPI 3.1 do Lerian SILOC, o trilho do lado do participante que
    conecta a instituição à liquidação interbancária diferida por compensação
    SILOC da Núclea para o domínio de cartões. Abrange as capacidades de
    cobertura de liquidação, o registro de participantes e seu status
    operacional, o ciclo de vida dos certificados regulados, o relay de
    mensagens do domínio de cartões e seu status, e o reenvio administrativo de
    falhas de relay estacionadas.
  title: Lerian SILOC API
  version: 1.0.0
servers:
  - url: https://siloc.sandbox.lerian.net
security: []
paths:
  /api/v1/siloc/participants/{participantId}:
    get:
      tags:
        - Participants
      summary: Obter um participante
      operationId: getParticipant
      parameters:
        - description: Participant id.
          in: path
          name: participantId
          required: true
          schema:
            description: Participant id.
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ParticipantResponse'
          description: OK
        default:
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/Detail'
          description: Error
      security:
        - BearerAuth: []
components:
  schemas:
    ParticipantResponse:
      additionalProperties: false
      properties:
        createdAt:
          description: Creation timestamp.
          format: date-time
          type: string
        id:
          description: Participant id.
          format: uuid
          type: string
        ispb:
          description: 8-digit BACEN ISPB.
          examples:
            - '46026562'
          pattern: ^[0-9]{8}$
          type: string
        name:
          description: Participant legal name.
          maxLength: 200
          type: string
        role:
          description: Participant role.
          enum:
            - DIRECT
            - INDIRECT
            - SETTLING_INSTITUTION
          type: string
        settlingInstitutionIspb:
          description: For an indirect participant, the ISPB of its settling institution.
          pattern: ^[0-9]{8}$
          type: string
        status:
          description: PAG0101 operational status.
          enum:
            - '1'
            - '2'
            - '3'
            - '6'
            - '7'
            - '8'
            - '9'
          type: string
        updatedAt:
          description: Last-update timestamp.
          format: date-time
          type: string
      required:
        - id
        - ispb
        - role
        - name
        - status
        - createdAt
        - updatedAt
      type: object
    Detail:
      additionalProperties: false
      properties:
        code:
          description: >-
            Stable, machine-readable domain error code scoped to the emitting
            service (format: <SERVICE>-NNNN).
          examples:
            - ERR-0001
          type: string
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          examples:
            - Property foo is required but is missing.
          type: string
        errors:
          description: Optional list of individual error details
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type:
            - array
            - 'null'
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          examples:
            - https://example.com/error-log/abc123
          format: uri
          type: string
        status:
          description: HTTP status code
          examples:
            - 400
          format: int64
          type: integer
        title:
          description: >-
            A short, human-readable summary of the problem type. This value
            should not change between occurrences of the error.
          examples:
            - Bad Request
          type: string
        type:
          default: about:blank
          description: A URI reference to human-readable documentation for the error.
          examples:
            - https://example.com/errors/example
          format: uri
          type: string
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
  securitySchemes:
    BearerAuth:
      bearerFormat: JWT
      description: JWT bearer token issued by the identity provider.
      scheme: bearer
      type: http

````